export default class LoadedComponent extends eui.Component {
    public set onLoaded(v: () => void) {
        if (this.loadedOnConstruct) {
            v();
        } else {
            this._onLoaded = v;
        }
    }
    public get onLoaded() {
        return this._onLoaded;
    }
    private _onLoaded: () => void = null;
    public loadedOnConstruct = false;
}